package com.dcsoft.system.vehicle.service;

import com.dcsoft.system.vehicle.domain.CarCharge;

import java.util.List;

/**
 * 收费配置Service接口
 *
 * @author nichun
 * @date 2024-01-19
 */
public interface ICarChargeService
{
    /**
     * 查询收费配置
     *
     * @param id 收费配置主键
     * @return 收费配置
     */
    public CarCharge selectCarChargeById(Long id);

    /**
     * 查询收费配置列表
     *
     * @param carCharge 收费配置
     * @return 收费配置集合
     */
    public List<CarCharge> selectCarChargeList(CarCharge carCharge);

    /**
     * 新增收费配置
     *
     * @param carCharge 收费配置
     * @return 结果
     */
    public int insertCarCharge(CarCharge carCharge);

    /**
     * 修改收费配置
     *
     * @param carCharge 收费配置
     * @return 结果
     */
    public int updateCarCharge(CarCharge carCharge);

    /**
     * 批量删除收费配置
     *
     * @param ids 需要删除的收费配置主键集合
     * @return 结果
     */
    public int deleteCarChargeByIds(Long[] ids);

    /**
     * 删除收费配置信息
     *
     * @param id 收费配置主键
     * @return 结果
     */
    public int deleteCarChargeById(Long id);
}
